#define BFGLOBAL
#include "cbfcmn.h"

void
cbf_open ( filnam, iret )
	char	*filnam;
	int	*iret;

/************************************************************************
 * cbf_open								*
 *									*
 * This function opens a BUFR file and sets the global file pointer.	*
 *									*
 * cbf_open ( filnam, iret )						*
 *									*
 * Input parameters:							*
 *	*filnam		char		File name (with a NULL)		*
 *									*
 * Output parameters:							*
 *	*iret		int		Return code			*
 *					  -1 = File not opened		*
 **									*
 * Log:									*
 * S. Jacobs/NCEP	11/98						*
 ***********************************************************************/

{
	int	ier;
/*---------------------------------------------------------------------*/

	*iret = 0;

	fpbf = fopen ( filnam, "r" );
	
	if ( fpbf == NULL ) {
	    ier = -1;
	    printf ( " cbf_open ier = %d\n", ier );
	    *iret = -1;
	}

	ibcnt = 0;

}
